Skip to main content
GET
/
subscription
Get subscription
curl --request GET \
  --url https://utilsio.dev/api/v1/subscription \
  --header 'X-utilsio-Signature: <api-key>' \
  --header 'X-utilsio-Timestamp: <x-utilsio-timestamp>'
{
  "success": true,
  "subscription": {
    "id": "sub_abc123",
    "amountPerDay": "1.5",
    "createdAt": "2024-01-15T10:30:00.000Z"
  }
}

Authorizations

X-utilsio-Signature
string
header
required

Headers

X-utilsio-Signature
string
required

HMAC signature for request authentication

X-utilsio-Timestamp
string
required

Unix timestamp for request signing

Query Parameters

appId
string
required

The application ID to retrieve the subscription for

Response

Active subscription for the app, or null if none exists.

success
boolean

Whether the request was successful

subscription
object

The active subscription object, or null if none exists

error
string

Error message if the request failed